import {
  displayList,
  viewMethodList,
  serialNumberTypeList,
  serialNumberPositionList,
} from '@/views/book/courseware/data/common';

export function getPictureProperty() {
  return {
    serial_number: 1, // 序号
    sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
    sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
    sn_display_mode: displayList[0].value,
    view_method: viewMethodList[0].value, // 查看方式：independent独立 list列表
  };
}

export function getPictureData() {
  return {
    type: 'picture',
    title: '图片',
    single_size: 1, // 单位MB
    total_size: 100, // 单位MB
    min_width: '144', // 大于等于最小缩略图宽度
    min_height: '306', // 大于等于2倍缩略图宽度加间隙高度
    property: getPictureProperty(),
    file_info_list: [],
    file_id_list: [], // 文件 id['20032-121212', '20032-121216']
    // 内容中包含的文件列表,
    file_list: [],
  };
}
